[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'typinfo' (#rtl)

# TTypeInfo

Type information record

## Declaration

Source position: typinfo.pp line 109

`type TTypeInfo = record`
`Kind: TTypeKind;` |  | Type kind
`Name: ShortString;` |  | Type name
`end;`

## Description

The TypeInfo function returns a pointer to a TTypeInfo record.

Note that the Name field is stored with as much bytes as needed to store the name, it is not padded to 255 characters. The type data immediatly follows the TTypeInfo record as a TTypeData record.

Documentation generated on: Feb 26 2014